[OPENIDM-11677] After upgrade from 5.5.1.0 to 5.5.1.1 Self-Service UI gets error due to missing workflow. Created: 11/Sep/18  Updated: 18/Feb/19  Resolved: 11/Sep/18

Status: Closed
Project: OpenIDM
Component/s: _Update, Module - UI - Enduser
Affects Version/s: OpenIDM 5.5.1.1
Fix Version/s: OpenIDM 5.5.1.1

Type: Bug Priority: Major
Reporter: Jakub Janoska [X] (Inactive) Assignee: Mark Offutt [X] (Inactive)
Resolution: Fixed Votes: 0
Labels: no-release-notes, sustaining
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified
Environment:

OpenIDM version "5.5.1.1-RC1" (revision: 21f9b73) jenkins-OpenIDM - 5.5.x - Release-51 sustaining/5.5.x


Target Version/s:
Verified Version/s:

 Description   

**Steps to reproduce:

  1. Install OpenIDM 5.5.1.0 with JDBC repo (tested with MySQL)
  2. Upgrade to OpenIDM 5.5.1.1 (full bits)
  3. Start openimd without any sample
  4. Log in to self-service UI

Expected result: Workflow widget is not loaded by default

Actual result: Workflow widget is loaded by default and error is observed.

 

It's due to 'conf/ui-dashboard.json.patch', which contains:

{
"operation":"replace",
 "field":"/dashboard/widgets",
 "value":[
 {
 "type" : "workflow"
 },
 {
 "type" : "quickStart",
 "size" : "medium",
 "cards" : [
 {
 "name" : "dashboard.quickStart.viewProfile",
 "icon" : "fa-user",
 "href" : "#profile/details"
 },
 {
 "name" : "dashboard.quickStart.changePassword",
 "icon" : "fa-lock",
 "href" : "#signinandsecurity/password/"
 }
 ]
 },
 {
 "type" : "notifications",
 "size" : "x-small"
 }
 ]
 },

Tested on OpenIDM version "5.5.1.1-RC1" (revision: 21f9b73) jenkins-OpenIDM - 5.5.x - Release-51 sustaining/5.5.x.



 Comments   
Comment by Jakub Janoska [X] (Inactive) [ 12/Sep/18 ]

 Successfully verified on OpenIDM version "5.5.1.1-RC3" (revision: 0af654e) jenkins-OpenIDM - 5.5.x - Release-53 sustaining/5.5.x

Generated at Wed Nov 25 08:10:41 UTC 2020 using Jira 7.13.12#713012-sha1:6e07c38070d5191bbf7353952ed38f111754533a.